# Seconds delay after mods are loaded to restart any running computers from last session
lwcomputers_startup_delay (Restart delay on startup) float 3.0

# Horizontal character size of terminal display
lwcomputers_term_hres (Terminal horizontal resolution) int 50

# Vertical character size of terminal display
lwcomputers_term_vres (Terminal vertical resolution) int 19

# Interval for every computer running tick in seconds
lwcomputers_running_tick (Running interval seconds) float 0.1

# Maximum seconds a single computer tick can run before being stopped
lwcomputers_max_no_yield_secs (Maximum no yield seconds) float 5.0

# Generate terminal click events
lwcomputers_click_events (Generate click events) bool true

# Double click time in seconds
lwcomputers_double_click_time (Double click seconds) float 0.5

# Maximum length of string for string.rep
lwcomputers_max_string_rep_size (Maximum string.rep length) int 64000

# Maximum clipboard content length
lwcomputers_max_clipboard_length (Maximum clipboard content length) int 48000

# Game epoch year
lwcomputers_epoch_year (The year the in game calendar begins) int 2000

# HTTP white list, space separated list eg. *here.com* https://www.there.com*
lwcomputers_http_white_list (HTTP white list, space separated list) string

# Maximum hard disk size in bytes
lwcomputers_max_hard_disk_size (Maximum hard disk size) int 1000000

# Maximum floppy disk size in bytes
lwcomputers_max_floppy_disk_size (Maximum floppy disk size) int 125000

# Maximum hard disk files and directories
lwcomputers_max_hard_disk_items (Maximum hard disk items) int 8000

# Maximum floppy disk size files and directories
lwcomputers_max_floppy_disk_items (Maximum floppy disk items) int 1000

# Delay in seconds for a robot's action, min 0.1
lwcomputers_robot_action_delay (Robot's action delay) float 0.2

# Delay in seconds for a robot's movement, min 0.1
lwcomputers_robot_move_delay (Robot's movement delay) float 0.5

# Allow chat command
lwcomputers_allow_chat (Allow chat) bool true

# Allow chat command on public machines
lwcomputers_allow_public_chat (Allow public chat) bool true

# Attempt to use mod on_place handler to place nodes
lwcomputers_use_mod_on_place (Use mod on_place) bool true

# Issue errors when handler's of other mods fail.
lwcomputers_alert_handler_errors (Alert handler errors) bool true
